Subject: bug#57266: Maintaining the base_line_number cache

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Aug 2022 09:32:50 -0400

>> > I didn't just mean just_this_one_p thingy, I meant all the changes
>> > that attempt to somehow "clean up" the use of the line-number cache.
>> > Why do we have to do that at all?  This stuff is not too complex, and
>> > it works for ages!  Isn't the fact that we find more and more small
>> > issues with the changes telling you something?
>> 
>> Yes, it's telling me that the code is a mess and I'm trying to fix it by
>> documenting what is actually needed.
>
> It's fine to fix and enhance the documentation, but please don't fix
> the code that works.

If the code doesn't match the doc, then we'll never know if the doc
is wrong.

        Stefan